using System;
using System.Collections.Generic;
using System.Text;

namespace InterfaceSample
{
    public interface IEmployees:IEnumerable<Employee>
    {
        int AddEmployee(Employee emp);

        bool RemoveEmployee(string empid);

        Employee this[string empid]
        {
            get;
        }
    }
}
